Bug 20856 - QName constructor function does not take empty sequence as argument
Summary: QName constructor function does not take empty sequence as argument
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Functions and Operators 3.0 (show other bugs)
Version: Candidate Recommendation
Hardware: PC Windows NT
: P2 minor
Target Milestone: ---
Assignee: Michael Kay
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 17:57 UTC by Priscilla Walmsley
Modified: 2015-05-23 19:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Priscilla Walmsley 2013-02-02 17:57:59 UTC
The xs:QName constructor function, unlike all the other type constructor functions, has a signature that does not allow the empty sequence as an argument, although it can return the empty sequence.   Is this inconsistency an oversight?  I cannot find any text that explains why it would be different.
Comment 1 Michael Kay 2013-02-03 11:47:43 UTC
Thanks for pointing this out. The error arose because of incomplete application of the change that brought the xs:QName constructor function into line with other constructor functions in 3.0, by removing the restriction that the supplied argument be a string literal. I have fixed it as an editorial error, but have included a mention in the Changes appendix.